Subject: Re: I still use this!

From: Junio C Hamano <[email-masked]>
Date: Tue, 30 Sep 2025 13:02:33 -0700

Stephen Harding <[email-masked]> writes:

> I just encountered this:
>
> 'git whatchanged' is nominated for removal.
> If you still use this command, please add an extra
> option, '--i-still-use-this', on the command line
> and let us know you still use it by sending an e-mail
> to <[email-masked]>.  Thanks.
> fatal: refusing to run without --i-still-use-this
>
>
> I use oh-my-zsh and I rely on the git aliases. I used this today:
>
> which gwch
> gwch: aliased to git whatchanged -p --abbrev-commit --pretty=medium
>
> and apparently you want me to send you an email to prove that I, an
> actual human really do use that ...

It is not about proving, and sending an email will not change our
plan, but it gives users an opportunity to tell us a use case where
no possible workaround exists, which we haven't anticipated.

You can change your alias to

    git log --no-merges -p --abbrev-commit --pretty=medium

and should get output identical to what you are getting.  Also, I
think "--pretty=medium" is the default.